Bug 185832 - Anaconda kickstart stalls under Kadischi with --cmdline option
Anaconda kickstart stalls under Kadischi with --cmdline option
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-19 00:23 EST by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-20 09:44:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to skip method complete during kickstart and cmdline modes. (775 bytes, patch)
2006-03-19 00:23 EST, Jasper O. Hartline
no flags Details | Diff

  None (edit)
Description Jasper O. Hartline 2006-03-19 00:23:00 EST
Description of problem:
Using Anaconda under Kadischi to build a Live media disc, Anaconda
stalls during kickstart and --cmdline modes.
Kadischi uses rootpath method of Anaconda to work, so
we also require a few steps to be skipped, in rootpath modes.
A patch is attached below to alleviate this behavior between
Kadischi and Anaconda using kickstart and cmdline.
A patch will be attached to alleviate this behavior.

Version-Release number of selected component (if applicable):
anaconda-11.0.5-1

How reproducible:
Build a live media CD with Kadischi.


Steps to Reproduce:
1. kadischi --kickstart=ks.cfg -C /directory/repository -f /tmp/fclive.iso
2.
3.
  
Actual results:
Stalled kickstart session.

Expected results:
Continue and finish of Kadischi live media installation.

Additional info:
A patch is attached.
Comment 1 Jasper O. Hartline 2006-03-19 00:23:00 EST
Created attachment 126318 [details]
Patch to skip method complete during kickstart and cmdline modes.
Comment 2 Jeremy Katz 2006-03-19 18:04:03 EST
No, you should have 'reboot' in your ks.cfg if you don't want to see the
completion screen.
Comment 3 Jasper O. Hartline 2006-03-19 18:21:12 EST
That works.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.